﻿@model Bll.Models.PositionModel

@{
    ViewBag.Title = "Create Position";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Create Position</h2>
    </div>

    <div class="d-flex justify-content-center w-50">
        <div class="border border-2 border-dark rounded-1 p-2 w-75 m-5">
            @using (Html.BeginForm("CreatePosition", "Position", FormMethod.Post))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Name, "Position Name", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-primary d-flex">Create</button>
                    </div>
                </div>
            }

            @section Scripts {
                @Scripts.Render("~/bundles/jqueryval")
            }
        </div>
    </div>
</div>
